Bug 321241 - first boot freezes at /bin/nash
first boot freezes at /bin/nash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-06 06:42 EDT by Julius B.
Modified: 2009-05-05 17:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 17:38:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error message at first boot after installation (37.10 KB, image/jpeg)
2007-10-06 06:42 EDT, Julius B.
no flags Details
Patch to fix the problem. (1.72 KB, patch)
2008-03-18 07:07 EDT, Makoto Dei
no flags Details | Diff

  None (edit)
Description Julius B. 2007-10-06 06:42:49 EDT
Description of problem:
After installing and rebooting F8Test3 (!!, not yet available in Bugzilla), the
first boot freezes at /bin/nash (see attachment).


Version-Release number of selected component (if applicable):


How reproducible:
everytime


Steps to Reproduce:
1. Install Fedora 8 Test 3
2. Reboot after installation
  
Actual results:
first boot freezes

Expected results:
the configuration should be started


Additional hardware info:
cpu:     AMD Athlon 64 3200+
ram:     2x512 MB Kingston Value Select
chipset: VIA K8T800Pro + VT8237
hdd:     sdb (win-disc):     Seagate ST360021A
         sdc (install-disc): SAMSUNG SP0842N
gfx:     NVIDIA GeForce 4 Ti 4200
Comment 1 Julius B. 2007-10-06 06:42:50 EDT
Created attachment 218341 [details]
error message at first boot after installation
Comment 2 Julius B. 2007-10-31 08:48:00 EDT
Just did a fresh install of Fedora 8 RC2, same problem here! It's a pity that 
I'm not able to use Fedora 8 on my system.
Comment 3 Makoto Dei 2008-03-18 07:05:32 EDT
About nash segfault:

dm_task_run in libdevmapper returns 0 (failure) or 1 (success).
But nash/dm.c thinks that dm_task_run returns negative value (< 0, failure) or
positive (>= 0, success). This mismatch causes the problem.

Attached patch will fixed the problem.
Comment 4 Makoto Dei 2008-03-18 07:07:00 EDT
Created attachment 298368 [details]
Patch to fix the problem.
Comment 5 Bug Zapper 2008-05-13 23:20:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Andy Lindeberg 2009-02-17 15:17:06 EST
Are you still seeing this in either F10 or the most recent rawhide?
Comment 7 Jeremy Katz 2009-05-05 17:38:42 EDT
Closing due to inactivity;  Please reopen if you have further information to add to this report

Note You need to log in before you can comment on or make changes to this bug.